> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/integrations/destinations/dynatrace/dynatrace-deprecated.md).

# Dynatrace (Deprecated)

{% hint style="danger" %}
**WARNING**

This destination has been deprecated and replaced with a new Dynatrace destination. While it will continue to function, it will no longer receive any enhancements and you should migrate to the new destination.For more information about the new destination, see this [documentation](/integrations/destinations/dynatrace.md).
{% endhint %}

### Supported Types

| Metrics | Logs | Traces |
| ------- | ---- | ------ |
| ✓       |      |        |

### Configuration Table

<table><thead><tr><th width="204.5546875">Parameter</th><th width="108.765625">Type</th><th width="72.83203125">Default</th><th>Description</th></tr></thead><tbody><tr><td>metric_ingest_endpoint</td><td><code>string</code></td><td><code>""</code></td><td>Dynatrace Metrics Ingest v2 endpoint. This is required if OneAgent is not running on the collector host. More information on the endpoint and structure can be found <a href="https://www.dynatrace.com/support/help/dynatrace-api/environment-api/metric-v2/post-ingest-metrics">here</a>.</td></tr><tr><td>api_token</td><td><code>string</code></td><td></td><td>API Token that is restricted to <code>Ingest metrics</code> scope. Required if <code>metric_ingest_endpoint</code> is specified. More information <a href="https://www.dynatrace.com/support/help/dynatrace-api/basics/dynatrace-api-authentication">here</a>.</td></tr><tr><td>prefix</td><td><code>string</code></td><td></td><td>Metric Prefix that will be prepended to each metric name in <code>prefix.name</code> format.</td></tr><tr><td>enable_tls</td><td><code>bool</code></td><td>false</td><td>Whether or not to use TLS.</td></tr><tr><td>insecure_skip_verify</td><td><code>bool</code></td><td>false</td><td>Enable to skip TLS certificate verification.</td></tr><tr><td>ca_file</td><td><code>bool</code></td><td></td><td>Certificate authority used to validate the database server's TLS certificate.</td></tr><tr><td>cert_file</td><td><code>bool</code></td><td></td><td>A TLS certificate used for client authentication if mutual TLS is enabled.</td></tr><tr><td>key_file</td><td><code>bool</code></td><td></td><td>A TLS private key used for client authentication if mutual TLS is enabled.</td></tr></tbody></table>

### Supported Retry and Queuing Settings

This destination supports the following [retry and queuing settings](/configuration/bindplane-otel-collector/retry-on-failure.md):

| Sending Queue | Persistent Queue | Retry on Failure |
| ------------- | ---------------- | ---------------- |
| ✓             | ✓                | ✓                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bindplane.com/integrations/destinations/dynatrace/dynatrace-deprecated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
